<script lang="ts" setup>
import {useItemStore} from "~/stores/itemStore";
import {Item} from "~/models/item.model";

const itemStore = useItemStore()

const title = ref("")
const desc = ref("")

const handleAddItem = () => {
  const item: Item = {
    id: "test",
    name: title.value,
    description: desc.value
  }

  itemStore.createItem(item)
}

</script>

<template>
  <v-responsive
      class="mx-auto"
      max-width="344"
  >
    <v-card>
      <v-card-item>
        <v-text-field label="title" v-model="title"/>
        <v-text-field label="description" v-model="desc"/>
        <v-btn color="primary" @click="handleAddItem()">Add Item</v-btn>
      </v-card-item>
    </v-card>
  </v-responsive>
</template>

<style scoped></style>
